IBM Support

Supported data sources in IBM Content Analytics with Enterprise Search Version 3.0

Product Documentation


Abstract

This page provides detailed information about the data sources that are supported by IBM Content Analytics with Enterprise Search Version 3.0 and each subsequent fix pack.

This page describes the minimum product levels to install before opening a problem report with the IBM Software Support team. Because other products frequently ship fixes, updates, and new releases, not every possible configuration can be tested. In general, you can install and run with updates, such as fix packs, supported product releases (not necessarily significant new product versions), if those updates are forward compatible.

Content

Supported data sources for IBM Content Analytics with Enterprise Search Version 3.0


     
Legend
IconDescription
Supported Supported
ΔAdded or changed information since the last release, modification, or fix pack. This mark in the far left column indicates new or changed information in the row. This mark in a particular cell within a row further identifies a specific change within an existing row.


Table Reference

The following information is provided for each supported data source:

  • The supported data source versions
  • The supported operating systems where the data sources can be crawled
  • The type of crawler that you must configure to include the data source in a collection
  • Whether access to documents can be controlled by validating the user's credentials against access control data that is stored in the index (pre-filtering), and whether a user's credentials can be validated against current access control data in the data source before search results are returned (post-filtering)
  • Whether the data source supports single sign-on authentication (SSO)
  • Whether additional software is required to crawl the data source, and whether that software is included in the product distribution package


Using Linux on System z

If you install the product on Linux on System z, only the following crawlers are supported:

  • Agent for Windows file systems
  • Content Integrator (EMC/Documentum 6.5 or later sources only)
  • JDBC database. You can use the JDBC database crawler to collect data from DB2 and DB2 for zOS databases only.
  • SharePoint
  • UNIX file system
  • Web




Content Management sources


Supported versionsHardware platform:
Crawler type
ACL validation
SSO
Additional requirements
Windows
Linux
AIX
ΔIBM Content Manager 8.4, 8.4.1, 8.4.2, 8.4.3, 8.5Supported on 'WindowsSupported on Linux Supported on AIX
Content Manager
Supports ACL validation
Version 8.5 requires IBM Content Analytics with Enterprise Search Version 3.0 Fix Pack 4.
ΔIBM Content Manager for z/OS 8.4, 8.4.1, 8.4.2, 8.4.3, 8.5Supported on 'WindowsSupported on Linux Supported on AIX
Content Manager
Supports ACL validation
Version 8.5 requires IBM Content Analytics with Enterprise Search Version 3.0 Fix Pack 4.

EMC/Documentum 6.0, 6.5, 6.6, 6.7Supported on 'WindowsSupported on Linux Supported on AIX
Content Integrator
Supports ACL validation
IBM Content Integrator 8.6 (included).

FileNet P8 CM 4.5.1, 5.0, 5.1Supported on 'WindowsSupported on Linux Supported on AIX
FileNet
Supports ACL validationSupports SSOFileNet Content Engine Client 4.5.1, 5.0, or 5.1.

For information about configuring support for SSO authentication, see article 7023986.

FileNet P8 CM 5.2Supported on 'WindowsSupported on Linux Supported on AIX
FileNet
Supports ACL validationSupports SSOFileNet Content Platform Engine Client 5.2.

Requires IBM Content Analytics with Enterprise Search Version 3.0 Fix Pack 3.

For information about configuring support for SSO authentication, see article 7023986.

Hummingbird DM 5.1.0.5 with SR6, 6.0.4 with SR6Supported on 'WindowsSupported on Linux Supported on AIX
Content Integrator
Supports ACL validation
IBM Content Integrator 8.6 (included).

Microsoft SharePoint Server Foundation 2010Supported on 'WindowsSupported on Linux Supported on AIX
SharePoint
Supports ACL validationSupports SSOFor information about configuring support for SSO authentication, see article 7023986.

Microsoft Windows SharePoint Server 2007 with Microsoft Windows SharePoint Services 3.0Supported on 'WindowsSupported on Linux Supported on AIX
SharePoint
Supports ACL validationSupports SSOTo support ACL crawling and secure search, Service Pack 1 must be installed on the SharePoint server.

If you install IBM Content Analytics with Enterprise Search Version 3.0 Fix Pack 1, the crawler will use the document-level ACL for pre-filtering results. For details about this change, see the release notes.

For information about configuring support for SSO authentication, see article 7023986.

Microsoft Windows SharePoint Server 2010Supported on 'WindowsSupported on Linux Supported on AIX
SharePoint
Supports ACL validationSupports SSOIf you install IBM Content Analytics with Enterprise Search Version 3.0 Fix Pack 1, the crawler will use the document-level ACL for pre-filtering results. For details about this change, see the release notes.

For information about configuring support for SSO authentication, see article 7023986.

Open Text Livelink Enterprise Server 9.7, 9.7.1, 10.0.0Supported on 'WindowsSupported on Linux Supported on AIX
Content Integrator
Supports ACL validation
Pre-filtering only

IBM Content Integrator 8.6 (included).

Database systems

Support for IBM DB2:

  • To use the JDBC crawler to crawl IBM DB2 databases, use the DB2 Universal JDBC Driver (Type 4) as the access mechanism.
  • To use the DB2 crawler to crawl IBM DB2 V9.5 databases, use DB2 Enterprise Server Edition 9.5 Fix Pack 1 as the access mechanism. Note that the DECFLOAT data type is not supported.
  • To use the DB2 crawler to crawl IBM DB2 V9.7 databases, use DB2 Enterprise Server Edition 9.7 as the access mechanism.
  • If you use IBM DB2 V9.5 or V9.7 and more than one copy of DB2COPY is installed on the same machine, review important crawler configuration information in The DB2 crawler cannot discover databases if multiple copies of DB2COPY are installed.

Supported JDBC Drivers:

  • DB2 Driver for JDBC and SQLJ (Type 2)
  • DB2 Driver for JDBC and SQLJ (Type 4)
  • Microsoft SQL Server 2005 JDBC driver 1.2
  • Microsoft SQL Server JDBC driver 3.0
  • Oracle 10g or 11g JDBC Driver Thin (Type 4)


Supported versionsOperating system:
Crawler type
ACL validation
SSO
Additional requirements
Windows
Linux
AIX
 CA-Datacom 10, 11Supported on 'WindowsSupported on Linux Supported on AIX
DB2


InfoSphere Classic Federation for z/OS 10.1

- DB2 9.5 for Linux, Unix, and Windows Fix Pack 1
- DB2 Enterprise Server Edition 9.5
- DB2 Express Edition 9.5
- DB2 Workgroup Server Edition 9.5
Supported on 'WindowsSupported on Linux Supported on AIX
DB2 or JDBC


Enterprise Server Edition does not support x86 (32-bit) systems.

To support event publishing, DB2 for Linux, Unix, and Windows includes IBM WebSphere MQ with Event Publisher.

- DB2 9.7 for Linux, Unix, and Windows
- DB2 Enterprise Server Edition 9.7
- DB2 Express Edition 9.7
- DB2 Workgroup Server Edition 9.7
Supported on 'WindowsSupported on Linux Supported on AIX
DB2 or JDBC


To support event publishing, DB2 for Linux, Unix, and Windows includes IBM WebSphere MQ with Event Publisher.

- DB2 10.1 for Linux, Unix, and Windows
- DB2 Enterprise Server Edition 10.1
- DB2 Express Edition 10.1
- DB2 Workgroup Server Edition 10.1
Supported on 'WindowsSupported on Linux Supported on AIX
DB2 or JDBC


Requires IBM Content Analytics with Enterprise Search Version 3.0 Fix Pack 1.

To support event publishing, DB2 for Linux, Unix, and Windows includes IBM WebSphere MQ with Event Publisher.
Δ- DB2 10.5 for Linux, Unix, and Windows
- DB2 Enterprise Server Edition 10.5
- DB2 Express Edition 10.5
- DB2 Workgroup Server Edition 10.5
Supported on 'WindowsSupported on Linux Supported on AIX
DB2 or JDBC


Requires IBM Content Analytics with Enterprise Search Version 3.0 Fix Pack 4.

To support event publishing, DB2 for Linux, Unix, and Windows includes IBM WebSphere MQ with Event Publisher.

DB2 for iSeries:
- i 5/OS 5.4
- IBM i 6.1
- IBM i 7.1
Supported on 'WindowsSupported on Linux Supported on AIX
DB2




DB2 for z/OS 8.1, 9.1, 10.1.0Supported on 'WindowsSupported on Linux Supported on AIX
DB2 or JDBC


To use the DB2 crawler, DB2 Enterprise Server Edition 9.7 and InfoSphere Federation Server 9.7 are required.

To use the JDBC crawler, the DB2 Driver for JDBC and SQLJ (Type 4) and an appropriate license file (such as db2jcc_license_cisuz.jar) are required.

IBM IMS 10.0, 11.0.1Supported on 'WindowsSupported on Linux Supported on AIX
DB2


InfoSphere Classic Federation for z/OS 10.1

Informix Dynamic Server Enterprise Edition 11.10, 11.50, 11.70Supported on 'WindowsSupported on Linux Supported on AIX
DB2


InfoSphere Federation Server 9.7 or later and Informix Client SDK Version 2.81 or later

Microsoft SQL Server Enterprise 2005Supported on 'WindowsSupported on Linux Supported on AIX
DB2 or JDBC


To use the JDBC crawler:
Microsoft SQL Server 2005 JDBC Driver.

To use the DB2 crawler:
DB2 Enterprise Server Edition 9.7 and InfoSphere Federation Server 9.7.

Microsoft SQL Server Enterprise 2008 and 2008 R2Supported on 'WindowsSupported on Linux Supported on AIX
DB2 or JDBC


To use the JDBC crawler:
Microsoft SQL Server 2008 JDBC Driver.

To use the DB2 crawler:
DB2 Enterprise Server Edition 9.7 and InfoSphere Federation Server 9.7.

MySQL 5.5Supported on 'WindowsSupported on Linux Supported on AIX
JDBC


MySQL Connector/J (Type 4 JDBC Driver).

Oracle 11gSupported on 'WindowsSupported on Linux Supported on AIX
DB2 or JDBC


To use the JDBC crawler:
Oracle JDBC Thin (Type 4) Driver

To use the DB2 crawler:
DB2 Enterprise Server Edition 9.7 and InfoSphere Federation Server 9.7.

Support for Oracle databases does not include support for the Oracle Exadata platform.

Software AG Adabas 8.1.3, 8.1.4, 8.2.2 Supported on 'WindowsSupported on Linux Supported on AIX
DB2


InfoSphere Classic Federation Server for z/OS V10.1

Sybase ASE 11.9.2, 12.0Supported on 'WindowsSupported on Linux Supported on AIX
DB2


InfoSphere Federation Server 9.5 and Sybase Open Client 11.9.2 or 12.0.

Sybase ASE 12.5, 15.0, 15.5Supported on 'WindowsSupported on Linux Supported on AIX
DB2


InfoSphere Federation Server 9.5 or 9.7 (9.7 is recommended) and Sybase Open Client 12.5, 15.0, or 15.5.

VSAM for z/OS V3.1, V3.2, V4.1 Supported on 'WindowsSupported on Linux Supported on AIX
DB2


InfoSphere Classic Federation Server for z/OS V10.1.

IBM Case Manager sources


Supported versionsOperating system:
Crawler type
ACL validation
SSO
Additional requirements
Windows
Linux
AIX
 IBM Case Manager 5.1Supported on WindowsSupported on Linux Supported on AIX
Case Manager
Supports ACL validation
FileNet Content Engine Client 5.1
ΔIBM Case Manager 5.2Supported on WindowsSupported on Linux Supported on AIX
Case Manager
Supports ACL validation
FileNet Content Engine Client 5.2

Email, file system, and Web data sources


Supported versionsOperating system:
Crawler type
ACL validation
SSO
Additional requirements
Windows
Linux
AIX
 Microsoft Exchange Server 2007 SP1Supported on WindowsSupported on Linux Supported on AIX
Exchange Server
Supports ACL validation
For mailbox crawling, only the User Mailbox type is supported. Crawling non-email items under the mailbox is not supported.

Microsoft Exchange Server 2010Supported on WindowsSupported on Linux Supported on AIX
Exchange Server
Supports ACL validation
For mailbox crawling, only the User Mailbox type is supported. Crawling non-email items under the mailbox is not supported.

Network News Protocol Newsgroup (NNTP)
Supported on 'WindowsSupported on Linux Supported on AIX
NNTP




UNIX file systems
Supported on Linux Supported on AIX
UNIX file system




Windows 2008 ServerSupported on WindowsSupported on Linux Supported on AIX
Windows file system or Agent for Windows file systems
Supports ACL validation
Install the Agent for Windows File Systems on a Windows server to crawl remote Windows file systems from AIX, Linux, or Windows operating systems.

Web servers (HTTP or HTTPS)Supported on 'WindowsSupported on Linux Supported on AIX
Web




WebSphere Portal data sources

WebSphere Portal must be installed on AIX, Linux, or Windows; Linux on System z is not supported. For details about supported operating systems, see the hardware and software system requirements.


Supported versionsOperating system:
Crawler type
ACL validation
SSO
Additional requirements
Windows
Linux
AIX
 IBM WebSphere Portal 6.1, 6.1.5
Supported on 'WindowsSupported on Linux Supported on AIX
Seed list
Supports ACL validationSupports SSO

IBM WebSphere Portal 7.0
Supported on 'WindowsSupported on Linux Supported on AIX
Seed list
Supports ACL validationSupports SSO

IBM WebSphere Portal 8.0
Supported on 'WindowsSupported on Linux Supported on AIX
Seed list
Supports ACL validationSupports SSORequires IBM Content Analytics with Enterprise Search Version 3.0 Fix Pack 1.

IBM Web Content Manager 6.1.5Supported on 'WindowsSupported on Linux Supported on AIX
Seed List
Supports ACL validationSupports SSO

IBM Web Content Manager 7.0Supported on 'WindowsSupported on Linux Supported on AIX
Seed List
Supports ACL validationSupports SSO

IBM Web Content Manager 8.0Supported on 'WindowsSupported on Linux Supported on AIX
Seed List
Supports ACL validationSupports SSO

Lotus Quickr Services for WebSphere Portal 8.5Supported on 'WindowsSupported on Linux Supported on AIX
Seed List
Supports ACL validationSupports SSO

IBM Connections data sources


Supported versionsOperating system:
Crawler type
ACL validation
SSO
Additional requirements
Win
Linux
AIX
 IBM Connections 2.5.0.2 or later fix packSupported on 'WindowsSupported on Linux Supported on AIX
Seed List
Supports ACL validation Pre-filtering onlySupports SSODeployment on WebSphere Portal is not required to support secure search.

IBM Connections 3.0Supported on 'WindowsSupported on Linux Supported on AIX
Seed List
Supports ACL validationPre-filtering onlySupports SSODeployment on WebSphere Portal is not required to support secure search.

IBM Connections 4.0Supported on 'WindowsSupported on Linux Supported on AIX
Seed List
Supports ACL validationPre-filtering onlySupports SSORequires IBM Content Analytics with Enterprise Search Version 3.0 Fix Pack 2.

Support for Community Events and Status Update components requires IBM Content Analytics with Enterprise Search Version 3.0 Fix Pack 3.

Deployment on WebSphere Portal is not required to support secure search.

To learn about specific IBM Connections components that are or are not supported by the Seed List crawler, see this technote.

IBM Connections 4.5Supported on 'WindowsSupported on Linux Supported on AIX
Seed List
Supports ACL validationPre-filtering onlySupports SSORequires IBM Content Analytics with Enterprise Search Version 3.0 Fix Pack 2.

Support for IBM Connections Content Manager requires IBM Content Analytics with Enterprise Search Version 3.0 Fix Pack 3 (Linked library is not supported).

Deployment on WebSphere Portal is not required to support secure search.

To download required iFixes for IBM Connections 4.5, see this technote.

To learn about specific IBM Connections components that are or are not supported by the Seed List crawler, see this technote.

Lotus Domino data sources


Supported versionsOperating system:
Crawler type
ACL validation
SSO
Additional requirements
Windows
Linux
AIX
 Lotus Notes R8 (8.0.0 or later, LUW)Supported on 'WindowsSupported on Linux Supported on AIX
Notes
Supports ACL validationSupports SSO
DIIOP only
See the notes about Lotus Notes

Lotus Notes R8.5 (LUW)Supported on 'WindowsSupported on Linux Supported on AIX
Notes
Supports ACL validationSupports SSO
DIIOP only
See the notes about Lotus Notes
ΔLotus Notes R9.0 (LUW)Supported on 'WindowsSupported on Linux Supported on AIX
Notes
Supports ACL validationSupports SSO
DIIOP only
Requires IBM Content Analytics with Enterprise Search Version 3.0 Fix Pack 4.

See the notes about Lotus Notes

Lotus Quickr Services for Domino 8.2 and 8.5Supported on 'WindowsSupported on Linux Supported on AIX
Quickr for Domino
Supports ACL validationSupports SSO
DIIOP only
See the notes about Lotus Quickr

Detailed information about Lotus Domino data sources

In the following tables, "or later" indicates support for all minor versions that follow the release of a major version (such as R6), beginning with the stated minor version number.

IBM Lotus Notes

Required software on the crawler serverAIX or Linux1, 2Windows2
Client Software (NRPC, without native security)Domino R8 (8.0.0 or later)
Domino R8.5
Domino R9.0
Notes R8 (8.0.0 or later)
Notes R8.5
Domino R8 (8.0.0 or later)
Domino R8.5
Client Software (NRPC, with native security)Domino R8 (8.0.0 or later)
Domino R8.5
Domino R9.0
Domino R8 (8.0.0 or later)
Domino R8.5
Client Software (DIIOP)NoneNone
Supported serversAIX, Linux, or Windows
Server (NRPC, without native security)Domino R8 (8.0.0 or later)
Domino R8.5
Domino R9.0
Server (NRPC, with native security)Domino R8 (8.0.0 or later)
Domino R8.5
Domino R9.0
Server (DIIOP, without native security)Domino R8 (8.0.0 or later)
Domino R8.5
Domino R9.0
Server (DIIOP, with native security)Domino R8 (8.0.0 or later)
Domino R8.5
Domino R9.0

1 The Lotus Notes client is not available on these platforms. You need to install Lotus Domino but you do not need to start the Domino server on the enterprise search crawler server.

2 On Linux or Windows, the 32-bit level of the Lotus Notes client or Domino server must be installed on the crawler server regardless of the bit-level of your operating system.

IBM Lotus Quickr for Domino

Required software on the crawler serverAIX or Linux1, 2Windows2
Client Software (NRPC, without native security)Domino R8 (8.0.0 or later)Notes R8 (8.0.0 or later)
Domino R8 (8.0.0 or later)
Client Software (NRPC, with native security)Domino R8 (8.0.0 or later)Domino R8 (8.0.0 or later)
Client Software (DIIOP, without native security)NoneNone
Client Software (DIIOP, with native security)NoneNone

Supported serversAIX or Windows
Server (NRPC, without native security)Lotus Quickr Services for Domino 8.2 or 8.5
Server (NRPC, with native security)Lotus Quickr Services for Domino 8.2 or 8.5
Server (DIIOP, without native security)Lotus Quickr Services for Domino 8.2 or 8.5
Server (DIIOP, with native security)Lotus Quickr Services for Domino 8.2 or 8.5

1 The Lotus Notes client is not available on these platforms. You need to install Lotus Domino but you do not need to start the Domino server on the enterprise search crawler server.

2 On Linux or Windows, the 32-bit level of the Lotus Notes client or Domino server must be installed on the crawler server regardless of the bit-level of your operating system.


[{"Product":{"code":"SS5RWK","label":"Content Analytics with Enterprise Search"},"Business Unit":{"code":"BU053","label":"Cloud & Data Platform"},"Component":"--","Platform":[{"code":"PF002","label":"AIX"},{"code":"PF016","label":"Linux"},{"code":"PF033","label":"Windows"}],"Version":"3.0","Edition":"","Line of Business":{"code":"","label":""}}]

Document Information

Modified date:
17 June 2018

UID

swg27023680